Create a toolbox
POST
/toolbox
Request Body
descriptionstring,null
entriesobject[]
connection_idstring,null
connector_slugstring
default_paramsRecord<string, any>
descriptionstring
display_namestring
frozen_paramsRecord<string, any>
input_schemaRecord<string, any>
tool_namestring
is_templateboolean
namestring
Response Body
created_atstring · date-time
descriptionstring,null
entriesobject[]
idstring
is_templateboolean
namestring
owner_user_idstring
updated_atstring · date-time
curl -X POST 'https://api.elaichi.ai/toolbox' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"your_name","is_template":true,"entries":[]}'const body = {
"name": "your_name",
"is_template": true,
"entries": []
};
const response = await fetch('https://api.elaichi.ai/toolbox', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/toolbox"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"name": "your_name",
"is_template": True,
"entries": []
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())